com.amazonaws.services.lambda.model

## Class ListAliasesResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.lambda.model.ListAliasesResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class ListAliasesResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ListAliasesResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ListAliasesResult` `clone()`
`boolean` `equals(Object obj)`
`List<AliasConfiguration>` `getAliases()` A list of aliases.
`String` `getNextMarker()` A string, present if there are more aliases.
`int` `hashCode()`
`void` `setAliases(Collection<AliasConfiguration> aliases)` A list of aliases.
`void` `setNextMarker(String nextMarker)` A string, present if there are more aliases.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`ListAliasesResult` `withAliases(AliasConfiguration... aliases)` A list of aliases.
`ListAliasesResult` `withAliases(Collection<AliasConfiguration> aliases)` A list of aliases.
`ListAliasesResult` `withNextMarker(String nextMarker)` A string, present if there are more aliases.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ListAliasesResult

    public ListAliasesResult()

### Method Detail

#### setNextMarker

    public void setNextMarker(String nextMarker)

A string, present if there are more aliases.

Parameters:
  `nextMarker` - A string, present if there are more aliases.

#### getNextMarker

    public String getNextMarker()

A string, present if there are more aliases.

Returns:
  A string, present if there are more aliases.

#### withNextMarker

    public ListAliasesResult withNextMarker(String nextMarker)

A string, present if there are more aliases.

Parameters:
  `nextMarker` - A string, present if there are more aliases.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getAliases

    public List<AliasConfiguration> getAliases()

A list of aliases.

Returns:
  A list of aliases.

#### setAliases

    public void setAliases(Collection<AliasConfiguration> aliases)

A list of aliases.

Parameters:
  `aliases` - A list of aliases.

#### withAliases

    public ListAliasesResult withAliases(AliasConfiguration... aliases)

A list of aliases.

NOTE: This method appends the values to the existing list (if any). Use `setAliases(java.util.Collection)` or `withAliases(java.util.Collection)` if you want to override the existing values.

Parameters:
  `aliases` - A list of aliases.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withAliases

    public ListAliasesResult withAliases(Collection<AliasConfiguration> aliases)

A list of aliases.

Parameters:
  `aliases` - A list of aliases.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public ListAliasesResult clone()

Overrides:
  `clone` in class `Object`